/*
 * Copyright (c) 2009, Morten Nobel-Jrgensen All Rights Reserved.
 *
 * GNU General Public License, version 2
 * http://www.gnu.org/licenses/gpl-2.0.txt
 *
 */

package com.mortennobel.easizer.gui;

import static com.mortennobel.easizer.i18n.EasizerTextConstants.getString;

import javax.swing.*;
import java.awt.*;
/**
 * Simple panel that paints a dropbox
 */
public class EasizerDropBoxPanel extends JComponent {
    protected void paintComponent(Graphics g) {
        Paint backgroundPaint = Color.black;
        Paint foregroundPaint = Color.GRAY;
        Graphics2D g2d = (Graphics2D) g.create();
        g2d.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
        g2d.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING, RenderingHints.VALUE_TEXT_ANTIALIAS_ON);

        g2d.setPaint(backgroundPaint);
        g2d.fillRect(0,0,getWidth(), getHeight());
        g2d.setPaint(foregroundPaint);

        int size = 12;
        g2d.fillRoundRect(getWidth()/4-size, getHeight()/4-size, getWidth()/2+size*2, getHeight()/2+size*2, getWidth()/20-4, getHeight()/20-4);


        g2d.setPaint(backgroundPaint);
        g2d.fillRoundRect(getWidth()/4, getHeight()/4, getWidth()/2, getHeight()/2, getWidth()/20, getHeight()/20);

        g2d.fillRect(getWidth()/2-getWidth()/8, 0, getWidth()/4, getHeight());
        g2d.fillRect(0, getHeight()/2-getHeight()/8, getWidth(), getHeight()/4);

        g2d.setFont(new Font("Verdana", Font.BOLD, 26));
        FontMetrics fm = g2d.getFontMetrics();
        String dropFontString = getString("FileDropMessage");
        int dropFontStringWidth = fm.stringWidth(dropFontString);
        g2d.setPaint(foregroundPaint);
        g2d.drawString(dropFontString, (getWidth()-dropFontStringWidth)/2, (getHeight()+fm.getAscent()) /2);
        g2d.dispose();
        
    }
}
