/*
 * Copyright (c) 2009, Morten Nobel-Jrgensen All Rights Reserved.
 *
 * GNU General Public License, version 2
 * http://www.gnu.org/licenses/gpl-2.0.txt
 *
 */

package com.mortennobel.easizer.gui;

import javax.swing.*;
import javax.swing.text.View;

public class GUIUtil {
	private static final JLabel resizer = new JLabel();

	/**
	 * Returns the preferred size to set a component at in order to render
	 * an html string.  You can specify the size of one dimension.
	 **/
	public static java.awt.Dimension getPreferredSize(String html,
													  boolean width, int prefSize) {

		resizer.setText(html);

		View view = (View) resizer.getClientProperty(
				javax.swing.plaf.basic.BasicHTML.propertyKey);

		view.setSize(width?prefSize:0,width?0:prefSize);

		float w = view.getPreferredSpan(View.X_AXIS);
		float h = view.getPreferredSpan(View.Y_AXIS);

		return new java.awt.Dimension((int) Math.ceil(w),
				(int) Math.ceil(h));
	}
}
